%define alphatag git1e35fd9

Name:		seahorse-plugins
Version:	2.91.6
Release:	0.5.%{alphatag}%{?dist}
Summary:	Plugins and utilities for encryption in GNOME
Group:		User Interface/Desktops
License:	GPLv2+ and GFDL
URL:		http://projects.gnome.org/seahorse/
Source:		http://download.gnome.org/sources/seahorse-plugins/2.30/%{name}-%{version}-%{alphatag}.tar.bz2

# https://bugzilla.gnome.org/show_bug.cgi?id=628720
Patch1:         clipboard-disconnect.patch

BuildRequires:  intltool
BuildRequires:  gettext-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  seahorse
BuildRequires:  pkgconfig
BuildRequires:  libglade2-devel
BuildRequires:  GConf2-devel
BuildRequires:  gtk3-devel
BuildRequires:  gnupg2
BuildRequires:  gpgme-devel
BuildRequires:  nautilus-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libcryptui-devel
BuildRequires:  libxml2-devel
# epiphany extension hasn't been ported to webkit yet
#BuildRequires:  gecko-devel-unstable
#BuildRequires:  epiphany-devel
BuildRequires:  gedit-devel
BuildRequires:  gnome-panel-devel >= 3.0.0
BuildRequires:  libnotify-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  autoconf, automake, libtool, gettext-devel, intltool
BuildRequires:  rarian-compat

Requires: seahorse >= 3.0.0
# Requires: gedit
# Requires: epiphany
Requires: GConf2
Requires: shared-mime-info

Requires(post): shared-mime-info
Requires(post): GConf2

Requires(pre): GConf2

Requires(preun): GConf2

Requires(postun): shared-mime-info
Requires(postun): GConf2

%description
The plugins and utilities in this package integrate seahorse into
the GNOME desktop environment and allow users to perform operations
from applications like nautilus or gedit.

%prep
%setup -q
%patch1 -p1 -b .clipboard

autoreconf -i -f

# cleanup permissions for files that go into debuginfo
find . -type f -name "*.c" -exec chmod a-x {} ';'

%build
GNUPG=/usr/bin/gpg2 ; export GNUPG ; %configure --disable-update-mime-database --disable-epiphany --disable-applet --with-gtk=3.0
make %{?_smp_mflags}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install 					\
	--vendor seahorse 				\
	--delete-original 				\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	$RPM_BUILD_ROOT%{_datadir}/applications/*

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'

%find_lang %{name} --with-gnome --all-name

# this is just a leftover from the split, the seahorse-plugins docs
# don't use any screenshots atm
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gnome/help/seahorse-plugins/*/figures

%post
update-mime-database %{_datadir}/mime >& /dev/null
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule 				\
	%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas 	\
# 	%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas 	\
	>& /dev/null || :
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#  for f in seahorse.schemas seahorse-plugins.schemas seahorse-gedit.schemas; do
  for f in seahorse.schemas seahorse-plugins.schemas; do
    if [ -f %{_sysconfdir}/gconf/schemas/$f ]; then
      gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/$f >& /dev/null || :
    fi
  done
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule 			\
	%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas 	\
# 	%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas 	\
	>& /dev/null || :
fi

%postun
update-desktop-database -q
update-mime-database %{_datadir}/mime >& /dev/null
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas
# %{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas
%{_bindir}/seahorse-preferences
%{_bindir}/seahorse-tool
%{_datadir}/applications/seahorse-pgp-encrypted.desktop
%{_datadir}/applications/seahorse-pgp-keys.desktop
%{_datadir}/applications/seahorse-pgp-preferences.desktop
%{_datadir}/applications/seahorse-pgp-signature.desktop
%{_datadir}/mime/packages/seahorse.xml
%{_datadir}/seahorse-plugins
%{_mandir}/man1/seahorse-tool.1.gz
%{_datadir}/pixmaps/seahorse-applet.svg
%{_datadir}/pixmaps/seahorse-plugins
%{_datadir}/icons/hicolor/48x48/apps/seahorse-applet.png
%{_datadir}/icons/hicolor/scalable/apps/seahorse-applet.svg

# gedit plugin
#%dir %{_libdir}/gedit-2
#%dir %{_libdir}/gedit-2/plugins
#%{_libdir}/gedit-2/plugins/libseahorse-pgp.so
#%{_libdir}/gedit-2/plugins/seahorse-pgp.gedit-plugin

# nautilus extension
%dir %{_libdir}/nautilus/extensions-3.0
%{_libdir}/nautilus/extensions-3.0/libnautilus-seahorse.so

# epiphany extension
#%dir %{_libdir}/epiphany
#%dir %{_libdir}/epiphany/2.27
#%dir %{_libdir}/epiphany/2.27/extensions
#%{_libdir}/epiphany/2.27/extensions/libseahorseextension.so
#%{_libdir}/epiphany/2.27/extensions/seahorse.ephy-extension

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.6-0.5.git1e35fd9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.6-0.4.git1e35fd9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov  7 2011 Matthias Clasen <mclasen@redhat.com> - 2.91.6-0.3.git1e35fd9
- Rebuild against new libpng

* Fri Aug 19 2011 Tomas Bzatek <tbzatek@redhat.com> 2.91.6-0.2.git1e35fd9
- Rebuild against separate libcryptui

* Tue Apr 26 2011 Tomas Bzatek <tbzatek@redhat.com> 2.91.6-0.1.git1e35fd9
- git snapshot
- disable the panel applet

* Fri Feb 11 2011 Matthias Clasen <mclasen@redhat.com> 2.30.2-0.6.gitc7e0afe
- Rebuild against newer gtk

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.30.2-0.5.gitc7e0afe
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  3 2011 Matthias Clasen <mclasen@redhat.com> 2.30.2-0.4.gitc7e0afe
- Rebuild

* Thu Jan 13 2011 Tomas Bzatek <tbzatek@redhat.com> 2.30.2-0.3.gitc7e0afe
- Fix nautilus extension location

* Sun Jan  9 2011 Matthias Clasen <mclasen@redhat.com> 2.30.2-0.2.gitc7e0afe
- Rebuild

* Tue Nov  9 2010 Tomas Bzatek <tbzatek@redhat.com> 2.30.2-0.1.gitc7e0afe
- git snapshot
- disable gedit plugin

* Wed Nov  3 2010 Matthias Clasen <mclasen@redhat.com> 2.30.1-5
- Rebuild against libnotify 0.7.0

* Fri Sep  3 2010 Matthias Clasen <mclasen@redhat.com> 2.30.1-4
- Try to fix a crash-at-shutdown (#601215)
- Bring back the gedit plugin

* Thu Jul 22 2010 Tomas Bzatek <tbzatek@redhat.com> 2.30.1-2
- Temporarily disable gedit extension

* Tue Apr 27 2010 Tomas Bzatek <tbzatek@redhat.com> 2.30.1-1
- Update to 2.30.1

* Tue Mar 30 2010 Matthias Clasen <mclasne@redhat.com> - 2.30.0-1
- Update to 2.30.0

* Mon Feb 22 2010 Tomas Bzatek <tbzatek@redhat.com> 2.29.91-1
- Update to 2.29.91

* Tue Feb  9 2010 Tomas Bzatek <tbzatek@redhat.com> 2.29.90-1
- Update to 2.29.90

* Mon Nov 30 2009 Tomas Bzatek <tbzatek@redhat.com> 2.29.3-1
- Update to 2.29.3

* Mon Nov  9 2009 Matthias Clasen <mclasen@redhat.com> 2.28.1-2
- Don't call problematic functions in an atexit handler,
  since this can lead to segfaults at session end (#524415)

* Mon Oct 19 2009 Tomas Bzatek <tbzatek@redhat.com> 2.28.1-1
- Update to 2.28.1

* Wed Oct  7 2009 Matthias Clasen <mclasen@redhat.com> - 2.28.0-2
- Implement GETINFO to make seahorse-agent work with gnupg >= 2.0.12

* Wed Sep 23 2009 Matthias Clasen <mclasen@redhat.com> - 2.28.0-1
- Update to 2.28.0

* Wed Sep  9 2009 Matthias Clasen <mclasen@redhat.com> - 2.27.1-4
- Drop dependencies on applications

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.27.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 18 2009 Matthias Clasen <mclasen@redhat.com> 2.27.1-2
- Temporarily drop epiphany extension

* Mon May  4 2009 Tomas Bzatek <tbzatek@redhat.com> 2.27.1-1
- Update to 2.27.1

* Mon Apr 27 2009 Christopher Aillon <caillon@redhat.com> - 2.26.1-3
- Rebuild against newer gecko

* Wed Apr 22 2009 Matthias Clasen  <mclasen@redhat.com> - 2.26.1-2
- Make seahorse-agent clean up its tempdir

* Mon Apr 13 2009 Matthias Clasen  <mclasen@redhat.com> - 2.26.1-1
- Update to 2.26.1
- See http://download.gnome.org/sources/seahorse-plugins/2.26/seahorse-plugins-2.26.1.news

* Mon Mar 16 2009 Matthias Clasen  <mclasen@redhat.com> - 2.26.0-1
- Update to 2.26.0

* Tue Mar  3 2009 Matthias Clasen  <mclasen@redhat.com> - 2.25.92-1
- Update to 2.25.92

* Thu Feb 26 2009 Matthias Clasen  <mclasen@redhat.com> - 2.25.90-3
- Fix file list

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.25.90-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb  4 2009 Matthias Clasen  <mclasen@redhat.com> - 2.25.90-1
- Update to 2.25.90

* Mon Dec 22 2008 Tomas Bzatek <tbzatek@redhat.com> 2.25.3-1
- Update to 2.25.3

* Fri Dec 12 2008 Matthias Clasen <mclasen@redhat.com> 2.25.1-3
- Call update-desktop-database in %%post (#473680)

* Mon Dec  8 2008 Matthias Clasen <mclasen@redhat.com> 2.25.1-2
- Own some directories (#474040)

* Thu Nov 13 2008 Matthias Clasen <mclasen@redhat.com> 2.25.1-1
- Update to 2.25.1

* Sun Oct 19 2008 Matthias Clasen <mclasen@redhat.com> 2.24.1-2
- Update to 2.24.1

* Thu Oct  9 2008 Matthias Clasen <mclasen@redhat.com> 2.24.0-4
- Save some space

* Wed Oct  1 2008 Matthias Clasen <mclasen@redhat.com> 2.24.0-3
- Fix the build

* Sun Sep 21 2008 Matthias Clasen <mclasen@redhat.com> 2.24.0-2
- Update to 2.24.0

* Mon Sep  8 2008 Matthias Clasen <mclasen@redhat.com> 2.23.92-1
- Update to 2.23.92

* Thu Sep  4 2008 Matthias Clasen <mclasen@redhat.com> 2.23.91-1
- Update to 2.23.91

* Sun Aug 24 2008 Matthias Clasen <mclasen@redhat.com> 2.23.6-2
- Brutally fix some file conflicts with the main seahorse package

* Tue Aug  5 2008 Matthias Clasen <mclasen@redhat.com> 2.23.6-1
- Initial packaging
